[Pkg-dkms-commits] r39 - dkms/trunk/debian

hanska-guest at alioth.debian.org hanska-guest at alioth.debian.org
Thu Dec 11 17:00:55 UTC 2008


Author: hanska-guest
Date: 2008-12-11 17:00:54 +0000 (Thu, 11 Dec 2008)
New Revision: 39

Added:
   dkms/trunk/debian/postinst
Log:
Really adding postinst


Added: dkms/trunk/debian/postinst
===================================================================
--- dkms/trunk/debian/postinst	                        (rev 0)
+++ dkms/trunk/debian/postinst	2008-12-11 17:00:54 UTC (rev 39)
@@ -0,0 +1,31 @@
+#!/bin/sh
+# postinst script for dkms
+#
+# see: dh_installdeb(1)
+
+set -e
+
+case "$1" in
+    configure)
+        kconf="/etc/kernel-img.conf"
+        hookline="header_postinst_hook = /etc/kernel/postinst.d/dkms"
+        
+        if [ -e $kconf ]; then
+            if ! grep -q "$hookline" "$kconf" ; then
+                echo "$hookline" >> $kconf
+            fi
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0




More information about the Pkg-dkms-commits mailing list